net.snowflake.client.jdbc

## Interface SnowflakeResultSetSerializable

All Known Implementing Classes:
  SnowflakeResultSetSerializableV1

    public interface SnowflakeResultSetSerializable

This interface defines Snowflake specific APIs to access the data wrapped in the result set serializable object.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getCompressedDataSizeInBytes()` Retrieve compressed data size included in the the ResultSet Serializable object.
`ResultSet` `getResultSet()` Get ResultSet from the ResultSet Serializable object so that the user can access the data.
`ResultSet` `getResultSet(Properties info)` Get ResultSet from the ResultSet Serializable object so that the user can access the data.
`long` `getRowCount()` Retrieve total row count included in the the ResultSet Serializable object.
`long` `getUncompressedDataSizeInBytes()` Retrieve uncompressed data size included in the the ResultSet Serializable object.

### Method Detail

#### getResultSet

    ResultSet getResultSet()
                    throws SQLException

Get ResultSet from the ResultSet Serializable object so that the user can access the data.

Returns:
  a ResultSet which represents for the data wrapped in the object
Throws:
  `SQLException`

#### getResultSet

    ResultSet getResultSet(Properties info)
                    throws SQLException

Get ResultSet from the ResultSet Serializable object so that the user can access the data.

Parameters:
  `info` - The proxy server information if proxy is necessary.
Returns:
  a ResultSet which represents for the data wrapped in the object
Throws:
  `SQLException`

#### getRowCount

    long getRowCount()
              throws SQLException

Retrieve total row count included in the the ResultSet Serializable object.

Returns:
  the total row count from metadata
Throws:
  `SQLException`

#### getCompressedDataSizeInBytes

    long getCompressedDataSizeInBytes()
                               throws SQLException

Retrieve compressed data size included in the the ResultSet Serializable object.

Returns:
  the total compressed data size in bytes from metadata
Throws:
  `SQLException`

#### getUncompressedDataSizeInBytes

    long getUncompressedDataSizeInBytes()
                                 throws SQLException

Retrieve uncompressed data size included in the the ResultSet Serializable object.

Returns:
  the total uncompressed data size in bytes from metadata
Throws:
  `SQLException`